Name:           mpo-tool
Version:        0.7.1
Release:        %mkrel 1

Summary: Split/convert MPO 3D photos
Group:	 Graphics
License: GPLv3
URL:     http://gembutterfly.de.tl/
Source0: https://github.com/gembutterfly/mpo-tool/archive/MPO-Tool-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: pygtk2.0
Requires: python >= 2.7
Requires: python-gobject3
Requires: perl-Image-ExifTool
Requires: python-imaging
Requires: %{_lib}gexiv2_2
Requires: %{_lib}girepository1.0_1
Requires: %{_lib}gtk+3_0

%description
MPO Tool is a nice, little piece of software for splitting and converting MPO 3D photos.

%prep
%setup -n MPO-Tool-%{version}

%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT
#data
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -af * %{buildroot}/%{_datadir}/%{name}/

#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}
python mpo-tool-gui.py
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
cp -af camera.png %buildroot/
convert  camera.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert camera.png -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert camera.png -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps/


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=MPO-Tool
GenericName=MPO-Tool
Comment=Split/convert MPO 3D photos
Exec=%{name}
Icon=%{name}
Categories=GTK;Graphics;Viewer;X-MandrivaLinux-Multimedia-Graphics;
StartupNotify=true
Terminal=false
Type=Application
EOF

rm -f %{buildroot}/%{_datadir}/%{name}/{COPYING,README,mpo-help.txt}
rm -f %{buildroot}/camera.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files
%doc COPYING mpo-help.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Sep 03 2017 adrianomorselli <adrianomorselli> 0.7.1-1uplos2017
- update
